#include <Arduino.h>
#include <DigiMouse.h>

const int BUTTON_PIN = PIN0;
const int POWER_BUTTON_PIN = PIN2;
const int DEBOUNCE_DELAY = 250;
const int MOVE_INTERVAL = 1000;

long lastMove = 0;
int flag = 0;
uint32_t btnTimer = 0;


void setup(){
  DigiMouse.begin();
  pinMode(POWER_BUTTON_PIN, OUTPUT);
  digitalWrite(POWER_BUTTON_PIN, LOW);

  pinMode(LED_BUILTIN, OUTPUT);
  pinMode(BUTTON_PIN, INPUT_PULLUP);
}
 
void loop() {
  DigiMouse.update();

  bool isButtonPressed = !digitalRead(BUTTON_PIN);

  if (isButtonPressed && millis() - btnTimer > DEBOUNCE_DELAY) {
    flag = !flag;
    btnTimer = millis();
    digitalWrite(LED_BUILTIN, flag);
  }

  if (flag && millis() - lastMove > MOVE_INTERVAL) {
    DigiMouse.move(1,0,0);
    DigiMouse.delay(50);
    DigiMouse.move(-1,0,0);
    DigiMouse.delay(50);

    lastMove = millis();
  }
}
